/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  v1912                                 |
|   \\  /    A nd           | Website:  www.openfoam.com                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    location    "system";
    object      controlDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

application     reactingTwoPhaseEulerFoam;

startFrom       startTime;

startTime       0;

stopAt          endTime;

endTime         10;

deltaT          1e-3;

writeControl    adjustable;

writeInterval   0.1;

purgeWrite      0;

writeFormat     ascii;

writePrecision  10;

writeCompression on;

timeFormat      general;

timePrecision   9;

runTimeModifiable yes;

adjustTimeStep  yes;

maxCo           0.1;

maxDeltaT       1e-2;

functions
{
    timeStepping
    {
        type            setTimeStep;
        libs            (utilityFunctionObjects);
        enabled         yes;
        deltaT          tableFile;
        file            "system/deltaTvalues";
    }

    minMaxp
    {
        type        fieldMinMax;
        libs        (fieldFunctionObjects);
        fields
        (
             p
        );
        location        no;
        writeControl    timeStep;
        writeInterval   1;
    }
}


// ************************************************************************* //
